typedef struct {
	short doCrop;
	short doAssemble;
	short assembleLeftToRight;
	short outputDepth;
	short outputDepthType;
	short frameStart;
	short frameStop;
	short reserved;
} CompositeOptions;


typedef struct {
	long showOpenProgress;
	short defaultOperation;
	short compositePreview;
	short animationMethod;
	short _padding;
	OSType pictCreatorType;
	short changeCreator;
	short marqueeColor;
	RGBColor customRGBColor;
	
	// Although all of these are saved, only some saved values are
	// used as prefs; others (like cropRect and outputDepth) are used for
	// run-time determination only.
	CompositeOptions composite;
} Prefs, **PrefsHandle;

// ---------------------------------------------------------------------------

void InitPrefs();
PrefsHandle LoadPrefs();
void SetupPrefsDialog();

void GetPrefsMarqueeColor(PrefsHandle prefs, RGBColor *marqueeColor);