#include "FileRegistry.h"
#include "Class_DynamoArray.cpp"

// ---------------------------------------------------------------------------

DynamoArray<short> sFileList;

// ---------------------------------------------------------------------------

Boolean RegisterFile(short fileRefNum) {
	if (sFileList.Search(fileRefNum) == kDynamoArrayOutOfBoundsErr) {
		// Not registered yet. Insert into registration list
		sFileList.Append(fileRefNum);
		return(true);
	}
	else {
		// Already registered.
		return(false);
	}
} // END RegisterFile

// ---------------------------------------------------------------------------

Boolean UnregisterFile(short fileRefNum) {
	if (sFileList.SearchDelete(fileRefNum) == kDynamoArrayOutOfBoundsErr) {
		return(false);
	}
	else {
		return(true);
	}
} // END UnregisterFile