typedef struct {
	RGBColor bgGray;
	RGBColor darkGray;
	RGBColor darkestGray;
} GrayDrawInfo, *GrayDrawInfoPtr;

/*
	These routines never draw outside the rects you pass to them
	(except for GrayDrawShadowLine), so make sure you make the
	rects a little bigger when you pass it to the routines if you
	don't want the items inside the rects to get drawn over.
*/

void GrayDrawBox(short inset, const Rect *boxRect, const GrayDrawInfoPtr grayInfo);

void GrayDrawShadowLine(const Rect *lineRect, const GrayDrawInfoPtr grayInfo);
void GrayDrawShadowBox(const Rect *boxRect, const GrayDrawInfoPtr grayInfo);