#ifndef HANDLEAPPLEEVENTS_H_
#define HANDLEAPPLEEVENTS_H_

#ifndef __APPLEEVENTS__
	#include <AppleEvents.h>
#endif

typedef void (*OpenFileHandler)(short numFiles, FSSpec *);
typedef void (*PrintFileHandler)(FSSpec *);
typedef void (*QuitAppHandler)(void);

void InitAppleEvents(
	OpenFileHandler		fileHandler,
	PrintFileHandler	printHandler,
	QuitAppHandler		quitHandler);

Boolean AppleEventsInstalled();

#endif // HANDLEAPPLEEVENTS_H_