
#ifdef __cplusplus
extern "C" {
#endif

typedef void (*TrackUpdateProc)(const Rect *rectToUpdate, const Rect *currentMarquee);


void TrackMarquee(
	Point			start,
	const Rect		*cropToRect,
	Rect			*resultRect);

void TrackMarqueeOpaque(
	Point			start,
	TrackUpdateProc	trackUpdateProc,
	const RGBColor	*marqueeColor,
	const Rect		*cropToRect,
	Rect			*resultRect);

void SetMobiusRect(
	Rect	*rect,
	short	anchorLeft,
	short	anchroTop,
	short	curRight,
	short	curBottom);
void ConstrainPointWithinRect(Point *point, const Rect *constrainRect);
void FrameMarquee(const Rect *marqueeRect, const RGBColor *marqueeColor);

#ifdef __cplusplus
}
#endif